/**************************************************************************
 * MPThrow: demonstrates the RuntimeException you are required to throw.
 * 
 * Dependencies: MiniPro, StdOut
 * 
 * Compilation: 
 * % javac-introcs MPThrow
 *
 * Sample run:
 * % java-introcs MPThrow
 * 0
 * [then a RuntimeException should occur]
 **********************************************************************/

public class MPThrow {
    public static void main(String[] args) {
        String[][] simpleProgram = {{"one", "=", "1"}};
        
        MiniPro mp = new MiniPro(simpleProgram);
        
        StdOut.println(mp.programCounter()); // prints 0
        StdOut.println(mp.valueOf("one"));   // must throw RuntimeException, 
                                             // since "one" not yet defined
    }
}